Bug 1723936 - [4.1] no termination message provided by failing dns-operator pods
Summary: [4.1] no termination message provided by failing dns-operator pods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.z
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard: 4.1.4
Depends On: 1707062
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-25 19:30 UTC by Eric Paris
Modified: 2019-07-04 09:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1707062
Environment:
Last Closed: 2019-07-04 09:01:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 112 None None None 2019-07-02 02:38:55 UTC
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:50 UTC

Comment 2 Weibin Liang 2019-06-27 13:35:15 UTC
Verified with v4.1.3 and testing passed.

Comment 3 Weibin Liang 2019-06-28 15:21:44 UTC
Verified in 4.1.0-0.nightly-2019-06-27-204847, not v4.1.3

[root@dhcp-41-193 FILE]# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.1.0-0.nightly-2019-06-27-204847   True        False         73m     Cluster version is 4.1.0-0.nightly-2019-06-27-204847

[root@dhcp-41-193 FILE]# oc get deployment dns-operator -o yaml -n openshift-dns-operator
<---snip--->
terminationMessagePath: /dev/termination-log
terminationMessagePolicy: FallbackToLogsOnError
<---snip--->

[root@dhcp-41-193 FILE]# oc get ds dns-default -o yaml -n openshift-dns
<---snip--->
terminationMessagePath: /dev/termination-log
terminationMessagePolicy: FallbackToLogsOnError
<---snip--->
terminationMessagePath: /dev/termination-log
terminationMessagePolicy: FallbackToLogsOnError
<---snip--->

Comment 5 errata-xmlrpc 2019-07-04 09:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.